%define docver		1.3.0

%define major		2
%define libname		%mklibname cddb %{major}
%define develname	%mklibname cddb -d

%define bootstrap 0
%{?_with_bootstrap: %global bootstrap 1}

Name:		libcddb
Version:	1.3.2
Release:	%mkrel 23
Summary:	CDDB access library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://libcddb.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/libcddb/%name-%version.tar.bz2
Source1:	https://prdownloads.sourceforge.net/libcddb/%name-doc-%docver.tar.bz2
Patch1:		libcddb-1.3.2-rhbz770611.patch
Patch2:		pointer-types.patch
%if !%{bootstrap}
BuildRequires:	pkgconfig(libcdio)
%endif
BuildRequires:	gettext-devel

%description
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (https://gnudb.org/).  It
tries to be as cross-platform as possible.  The initial library will
have a C API.

%package -n	%{libname}
Summary:	Libraries from %name
Group:		System/Libraries

%description -n	%{libname}
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (https://gnudb.org/).  It
tries to be as cross-platform as possible.  The initial library will
have a C API.

%package -n	%{develname}
Summary:	Devel files from libcddb
Group:		Development/C
Requires:	%{libname} = %version
Provides:	%{name}-devel = %version-%release

%description -n	%{develname}
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (https://gnudb.org/).  It
tries to be as cross-platform as possible.  The initial library will
have a C API.

This is the libraries, include files and other resources you can use
to incorporate libcddb into applications.

%package	apps
Summary:	Example applications based on %name
Group:		Sound/Utilities

%description	apps
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (https://gnudb.org/).  It
tries to be as cross-platform as possible.  The initial library will
have a C API.

This package contains a command line client based on %name.

%prep
%setup -q -a 1
%patch -P 1 -p1
%patch -P 2 -p0
mv output html

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files apps
%_bindir/*

%files -n %{libname}
%_libdir/*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog README AUTHORS NEWS TODO html
%_includedir/cddb/
%_libdir/*.so
%_libdir/pkgconfig/*.pc


%changelog
* Fri Oct 04 2024 daviddavid <daviddavid> 1.3.2-23.mga10
+ Revision: 2103070
- add fedora patches to fix build with GCC 14

* Thu Mar 17 2022 umeabot <umeabot> 1.3.2-22.mga9
+ Revision: 1797112
- Mageia 9 Mass Rebuild

* Sat Nov 07 2020 wally <wally> 1.3.2-21.mga8
+ Revision: 1643136
- drop unneeded aarch64 build fix

* Sat Feb 15 2020 umeabot <umeabot> 1.3.2-20.mga8
+ Revision: 1527275
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jul 14 2019 daviddavid <daviddavid> 1.3.2-19.mga8
+ Revision: 1421322
- rebuild for new libcdio 2.1.0
- remove static libraries and remove .la files

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2-17.mga7
+ Revision: 1298778
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.3.2-16.mga7
+ Revision: 1233935
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Sun Jan 14 2018 wally <wally> 1.3.2-15.mga7
+ Revision: 1193046
- rebuild for new libcdio

* Thu Feb 11 2016 umeabot <umeabot> 1.3.2-14.mga6
+ Revision: 955447
- Mageia 6 Mass Rebuild

* Thu Jul 16 2015 sander85 <sander85> 1.3.2-13.mga6
+ Revision: 854705
- Rebuild for new libcdio

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-12.mga5
+ Revision: 751250
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-11.mga5
+ Revision: 681367
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.3.2-10.mga5
+ Revision: 592241
- rebuild for libcdio

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2-9.mga4
+ Revision: 533581
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 1.3.2-8.mga4
+ Revision: 473883
- rebuild for new libcdio

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-7.mga3
+ Revision: 356914
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1.3.2-6.mga3
+ Revision: 323359
- clean spec
- update rpm group

* Sat Jan 15 2011 blino <blino> 1.3.2-5.mga2
+ Revision: 18809
- rebuild with cdio

* Fri Jan 14 2011 blino <blino> 1.3.2-4.mga1
+ Revision: 17482
- bootstrap while cdio is not available
- remove old ldconfig scriptlets
- imported package libcddb


* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 1.3.2-3mdv2010.0
+ Revision: 449858
- add boostrap flag for build dep loop libcddb <-> libcdio
  (from Arnaud Patard)

* Wed Aug 26 2009 Emmanuel Andry <eandry@mandriva.org> 1.3.2-2mdv2010.0
+ Revision: 421575
- apply libraries policy

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 1.3.2-1mdv2010.0
+ Revision: 371267
- new version

* Sun Mar 01 2009 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2009.1
+ Revision: 346284
- new version
- update license
- fix build

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 1.3.0-1mdv2009.0
+ Revision: 217188
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.3.0-1mdv2008.1
+ Revision: 136546
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Sep 30 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.0
- New version 1.2.2

* Fri Mar 24 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-4mdk
- rebuild for new libcdio

* Wed Jan 11 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-3mdk
- fix buildrequires

* Thu Jan 05 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdk
- Rebuild

* Sat Aug 06 2005 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdk
- doc version is still 1.2.0
- New release 1.2.1

* Tue Jul 26 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdk
- New release 1.2.0

* Fri Jul 22 2005 Götz Waschk <waschk@mandriva.org> 1.1.0-3mdk
- update the docs

* Thu Jul 14 2005 Götz Waschk <waschk@mandriva.org> 1.1.0-2mdk
- rebuild

* Mon Jul 11 2005 Götz Waschk <waschk@mandriva.org> 1.1.0-1mdk
- major 2
- New release 1.1.0

* Tue May 10 2005 Götz Waschk <waschk@mandriva.org> 1.0.2-1mdk
- New release 1.0.2

* Sun Apr 24 2005 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdk
- fix deps
- mkrel
- New release 1.0.1

* Tue Apr 19 2005 Götz Waschk <waschk@mandriva.org> 1.0.0-2mdk
- fix buildrequires

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- fix build
- New release 1.0.0

* Fri Feb 04 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.6-2mdk
- rebuild

* Tue Nov 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.6-1mdk
- New release 0.9.6

* Fri Jul 23 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- add docs
- add source URL
- New release 0.9.5

